# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "tgn"
version = "0.1.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A CLI tool for sending notifications via the TGN (Telegram Notification Service)"
readme = false
keywords = [
    "telegram",
    "notification",
    "cli",
    "tgn",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/ashrhmn/tgn-cli"

[lib]
name = "tgn"
path = "src/lib.rs"

[[bin]]
name = "tgn"
path = "src/main.rs"

[dependencies.clap]
version = "4.5.60"
features = ["derive"]

[dependencies.dirs]
version = "6"

[dependencies.reqwest]
version = "0.13.2"
features = [
    "json",
    "multipart",
    "stream",
]

[dependencies.rpassword]
version = "7.4.0"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1.50.0"
features = [
    "rt-multi-thread",
    "macros",
    "fs",
    "process",
]

[dependencies.tokio-util]
version = "0.7.18"

[dependencies.zip]
version = "6.0.0"
features = ["deflate"]
default-features = false

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
strip = true
